/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package com.rjconsultores.ventaboletos.web.utilerias.render;

import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

import com.rjconsultores.ventaboletos.entidad.SegVKM;

/**
 * 
 * @author RJ
 */
public class RenderSegVKM implements ListitemRenderer {

	public void render(Listitem lstm, Object o) throws Exception {
		SegVKM seg = (SegVKM) o;

		Listcell lc = new Listcell(seg.getSegVKMId() == null ? "-" : seg.getSegVKMId().toString());
		lc.setParent(lstm);

		lc = new Listcell(seg.getSerie() == null ? "-" : seg.getSerie());
		lc.setParent(lstm);

		lc = new Listcell(seg.getKm() == null ? "-" : seg.getKm().toString());
		lc.setParent(lstm);

		lc = new Listcell(seg.getValor() == null ? "-" : seg.getValor().toString());
		lc.setParent(lstm);

		lc = new Listcell(seg.getOrgaoConcedente() == null ? "-" : seg.getOrgaoConcedente().getDescOrgao());
		lc.setParent(lstm);

		lstm.setAttribute("data", seg);
	}

}
